%define oname   ruby_parser

Name:       ruby-%{oname}
Version:    3.7.2
Release:    %mkrel 1
Summary:    A ruby parser written in pure ruby
Group:      Development/Ruby
License:    MIT
URL:        http://parsetree.rubyforge.org/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
ruby_parser (RP) is a ruby parser written in pure ruby (utilizing
racc--which does by default use a C extension). RP's output is the same as 
ParseTree's output: s-expressions using ruby's arrays and base types.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{_bindir}/ruby_parse
%{_bindir}/ruby_parse_extract_error
%dir %{gem_instdir}/
%{gem_instdir}/bin
%{gem_instdir}/lib
%{gem_instdir}/test
%{gem_instdir}/History.txt
%{gem_instdir}/Manifest.txt
%{gem_instdir}/README.txt
%{gem_instdir}/Rakefile
%{gem_spec}
%exclude %{gem_instdir}/.autotest
%exclude %{gem_instdir}/.gemtest
   
%files          doc
%doc %{gem_docdir}


%changelog
* Sat Mar 12 2016 pterjan <pterjan> 3.7.2-1.mga6
+ Revision: 989700
- Update to 3.7.2

* Wed Feb 17 2016 umeabot <umeabot> 3.6.1-4.mga6
+ Revision: 963861
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.6.1-3.mga5
+ Revision: 743515
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.6.1-2.mga5
+ Revision: 688948
- Mageia 5 Mass Rebuild

* Sun Jun 08 2014 pterjan <pterjan> 3.6.1-1.mga5
+ Revision: 634673
- 3.6.1

* Sat Dec 28 2013 pterjan <pterjan> 2.3.1-8.mga4
+ Revision: 562475
- Fix gem macros

* Mon Oct 21 2013 umeabot <umeabot> 2.3.1-7.mga4
+ Revision: 539090
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 fwang <fwang> 2.3.1-6.mga4
+ Revision: 491368
- update file list
- use gem_setup

* Fri Mar 01 2013 luigiwalser <luigiwalser> 2.3.1-6.mga3
+ Revision: 400885
- add patch from redhat to fix CVE-2013-0162

* Fri Feb 08 2013 umeabot <umeabot> 2.3.1-5.mga3
+ Revision: 396423
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.3.1-4.mga3
+ Revision: 381414
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 2.3.1-3.mga3
+ Revision: 313883
- rebuild for new ruby

* Tue Aug 14 2012 shlomif <shlomif> 2.3.1-2.mga3
+ Revision: 281305
- Made the package installable again.
  By excluding the old sexp_processor requires.

* Thu Jun 07 2012 solbu <solbu> 2.3.1-1.mga3
+ Revision: 256718
- New version
- Spec cleanup

* Sat Apr 16 2011 shikamaru <shikamaru> 2.0.6-1.mga1
+ Revision: 86470
- new version 2.0.6

* Tue Jan 25 2011 shikamaru <shikamaru> 2.0.5-3.mga1
+ Revision: 39635
- rebuild for new rubygems.rb

* Mon Jan 24 2011 shikamaru <shikamaru> 2.0.5-2.mga1
+ Revision: 37818
- imported package ruby-ruby_parser


* Mon Jan 24 2011 Rémy Clouard <shikamaru@mandriva.org> - 2.0.5-2mdv2011.0
- Initial package

* Fri Oct 15 2010 Rémy Clouard <shikamaru@mandriva.org> 2.0.5-1mdv2011.0
+ Revision: 585876
- import rubygem-ruby_parser

